%define gittag 0907a9034eaf2a57e8e4a9439f793f3f05d446cd
%define major 0
%define libname %mklibname tar %{major}
%define develname %mklibname -d tar

Summary:	C library for manipulating tar files
Name:		libtar
Version:	1.2.20
%define subrel	1
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://www.feep.net/libtar/
Source0:	http://repo.or.cz/w/libtar.git/snapshot/%{gittag}.tar.gz
Patch0:		libtar-1.2.20-includes.diff
Patch1:		libtar-1.2.20-CVE-2013-4420.patch
BuildRequires:	zlib-devel

%description
libtar is a library for manipulating tar files from within C programs.
Here are some of its features:

  * Handles both POSIX tar file format and the GNU extensions.
  * API provides functions for easy use, such as tar_extract_all().
  * Also provides functions for more granular use, such as 
    tar_append_regfile().

%package -n %libname
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %libname
This package contains the shared library for %{name}.

%package -n %develname
Summary:	Development files and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel < %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
This package contains the shared library and the C headers needed to
build applications with libtar.

%prep
%setup -qn %{name}
%patch0 -p1 -b .includes
%patch1 -p1 -b .CVE-2013-4420

%build
export CFLAGS="%{optflags} -fPIC"
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/libtar

%files -n %{libname}
%{_libdir}/libtar.so.%{major}
%{_libdir}/libtar.so.%{major}.*

%files -n %{develname}
%doc README ChangeLog* COPYRIGHT TODO
%{_libdir}/libtar.so
%{_includedir}/libtar*.h
%{_mandir}/man3/*.3*


%changelog
* Wed Feb 19 2014 luigiwalser <luigiwalser> 1.2.20-2.1.mga4
+ Revision: 594900
- rediff patch from debian to fix CVE-2013-4420

* Mon Oct 21 2013 umeabot <umeabot> 1.2.20-2.mga4
+ Revision: 540965
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 oden <oden> 1.2.20-1.mga4
+ Revision: 494620
- 1.2.20 (fixes CVE-2013-4397)

* Sat Jan 12 2013 umeabot <umeabot> 1.2.18-2.mga3
+ Revision: 358234
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 fwang <fwang> 1.2.18-1.mga3
+ Revision: 293653
- there is no .a files
- new version 1.2.18

  + pterjan <pterjan>
    - imported package libtar

